/* cdRecordDialog.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef CDRECORDDIALOG_H
#define CDRECORDDIALOG_H

// This module is only compiled if we actually have libcdaudio.
// Otherwise, we can't access the CD, and never mind.

#ifdef HAVE_CDAUDIO

#include "palomaDialog.h"
#include "cdDialog.h"
#include "volume.h"

#include <gtk--.h>
#include <map>
#include <string>

class CDReader;

class CDRecordDialog : public PalomaDialog {
public:
  CDRecordDialog(const Dataset &data, const CDTrackListProxy &track_list);
  ~CDRecordDialog();

  void begin();

  void reader_done(bool success);

private:
  void cancel_button_clicked();

  void layout_window();
  bool advance_track();
  bool start_reading();

  Gtk_VBox _box1;
  Gtk_Label _cd_title;
  Gtk_ProgressBar _progress_bar;
  Gtk_Label _track_name;
  Gtk_Button _cancel_button;

  CDTrackListProxy _track_list;
  CDReader *_cd_reader;
  Volume _volume;
  int _load_type;
  string _extension;

  int _current_track_index;
  double _total_length;
  double _current_length;
  string _basename;
  string _filename;
  bool _canceled;
};

#endif  // HAVE_CDAUDIO
  
#endif
