/* defaultForms.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef DEFAULTFORMS_H
#define DEFAULTFORMS_H

#include "tableInfo.h"

#include <map>

// This class just maintains the list of default form ID's for each
// table.  These form ID's are read from the default_forms table at
// startup, and they are used when a particular form is not otherwise
// specified.

class DefaultForms {
public:
  static void check_default(int &form_id, TableID table_id);
  static int get_form_id(TableID table_id);

private:
  static void get_forms();
  
  typedef map<TableID, int> FormIDs;
  static FormIDs _form_ids;
  static bool _got_forms;
};

#endif

