/* palomaWindow.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef PALOMAWINDOW_H
#define PALOMAWINDOW_H

#include <gtk--.h>

// This class is the base class for all non-dialog windows created for
// Paloma.  It mainly defines the setup() function, which does things
// like make an icon and add a hook to the destroyed signal.

class PalomaWindow : public Gtk_Window {
public:
  PalomaWindow();
  virtual ~PalomaWindow();
  void setup();

  static void setup_icon_for_window(Gtk_Window *window, 
				    Gtk_Pixmap &icon_pixmap, 
				    Gtk_Window &icon_window);

private:
  void window_destroyed();

  static Gdk_Pixmap _icon_gdk_pixmap;
  static Gdk_Bitmap _icon_gdk_mask;
  static bool _got_pixmaps;

  Gtk_Pixmap _icon_pixmap;
  Gtk_Window _icon_window;
  bool _destroyed;
};

#endif

