/* ratioSlider.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef RATIOSLIDER_H
#define RATIOSLIDER_H

#include "tableInfo.h"

#include <gtk--.h>

class RatioSliderGroup;

class RatioSlider : public Gtk_Widget {
public:
  gfloat get_value() const;
  TableID get_table_id() const;
  int get_field_id() const;

private:
  RatioSlider(RatioSliderGroup *group, 
	      TableID table_id, int field_id);

  void layout_window();

  void new_value();
  void toggle_check();

  Gtk_Adjustment _adjustment;
  Gtk_CheckButton _check;
  Gtk_Label _label;
  Gtk_HScale _scale;

  bool _active;
  TableID _table_id;
  int _field_id;
  RatioSliderGroup *_group;
friend class RatioSliderGroup;
};

class RatioSliderGroup : public Gtk_Table {
public:
  RatioSliderGroup();

  RatioSlider *make_slider(TableID table_id, int field_id);
  
  void rescale_values(RatioSlider *except = NULL);

  typedef vector<RatioSlider *> Sliders;
  Sliders _sliders;

private:
  bool _rescaling;
};
  

#endif


  
